Package io.vertx.spi.cluster.hazelcast.spi

## Interface HazelcastObjectProvider

-     public interface HazelcastObjectProvider

  SPI to allow different implementations of Map, AsyncMap, Lock and Counter

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Counter` | `createCounter​(String name)` | Return Counter with given name, if the Counter doesn't exist it is initialized to 0
    `<K,​V> AsyncMap<K,​V>` | `getAsyncMap​(String name)` | Return `AsyncMap` for the given name
    `Lock` | `getLockWithTimeout​(String name, long timeout)` | Return Lock with the given name within specified timeout (in ms)
    `<K,​V> Map<K,​V>` | `getSyncMap​(String name)` | Return synchronous map for the given name
    `void` | `onJoin​(io.vertx.core.internal.VertxInternal vertx, io.vertx.spi.cluster.hazelcast.impl.ConversionUtils conversionUtils, HazelcastInstance hazelcast, ExecutorService lockReleaseExec)` | Lifecycle method to initialize this provider when all dependencies become available,

- - ### Method Detail

    - #### onJoin

          void onJoin​(io.vertx.core.internal.VertxInternal vertx,
                      io.vertx.spi.cluster.hazelcast.impl.ConversionUtils conversionUtils,
                      HazelcastInstance hazelcast,
                      ExecutorService lockReleaseExec)

      Lifecycle method to initialize this provider when all dependencies become available,

    - #### getAsyncMap

          <K,​V> AsyncMap<K,​V> getAsyncMap​(String name)

      Return `AsyncMap` for the given name

    - #### getSyncMap

          <K,​V> Map<K,​V> getSyncMap​(String name)

      Return synchronous map for the given name

    - #### getLockWithTimeout

          Lock getLockWithTimeout​(String name,
                                  long timeout)

      Return Lock with the given name within specified timeout (in ms)

    - #### createCounter

          Counter createCounter​(String name)

      Return Counter with given name, if the Counter doesn't exist it is initialized to 0